program Tetrahedron;

uses
  Forms,
  AddPtFrm in 'AddPtFrm.pas' {Form5},
  DrawTools in 'DrawTools.pas',
  Edge in 'Edge.pas',
  GeomTools in 'GeomTools.pas',
  GridFrm in 'GridFrm.pas' {Form4},
  InOut in 'InOut.pas',
  MainFrm in 'MainFrm.pas' {Form1},
  Mesh in 'Mesh.pas',
  OpenGLCamera in 'OpenGLCamera.pas',
  OpenGLForm in 'OpenGLForm.pas' {GLForm},
  OpenGLInterfaceTools in 'OpenGLInterfaceTools.pas',
  OpenGLLight in 'OpenGLLight.pas',
  OpenGLManipulator in 'OpenGLManipulator.pas',
  OpenGLManipulatorForObjects in 'OpenGLManipulatorForObjects.pas',
  OpenGLObj in 'OpenGLObj.pas',
  OpenGLObject in 'OpenGLObject.pas',
  OpenGLObjIO in 'OpenGLObjIO.pas',
  OpenGLScene in 'OpenGLScene.pas',
  OpenGLTools in 'OpenGLTools.pas',
  OpenGLTypes in 'OpenGLTypes.pas',
  OpenGLWritableObject in 'OpenGLWritableObject.pas',
  Point in 'Point.pas',
  RandomFrm in 'RandomFrm.pas' {Form2},
  RandomSphereFrm in 'RandomSphereFrm.pas' {Form3},
  Tetra in 'Tetra.pas',
  Vector in 'Vector.pas',
  Triangle in 'Triangle.pas',
  Isosurface in 'Isosurface.pas',
  PartitionSurface in 'PartitionSurface.pas',
  SetupViewFrm in 'SetupViewFrm.pas' {Form6},
  Crust in 'Crust.pas',
  AboutFrm in 'AboutFrm.pas' {AboutBox},
  Ear in 'Ear.pas',
  Listz in 'Listz.pas',
  InterpolateFrm in 'InterpolateFrm.pas' {Form7},
  CrossvalidationFrm in 'CrossvalidationFrm.pas' {Form8};

{$R *.res}

 { TODO : problems with iso-surface and the big triangle }
 { TODO : build a list for all the Display List }
 { TODO : optimise display lists, no need to rebuild voronoi each time }

 { compiler conditional commands:
    DEBUG   : debug mode where all the assertions are on.
    FLOAT   : for using floating-point arithmetic
    PERTURB : using symbolic perturbation
 }

begin
  Application.Initialize;
  Application.CreateForm(TForm1, Form1);
  Application.CreateForm(TForm2, Form2);
  Application.CreateForm(TForm3, Form3);
  Application.CreateForm(TForm4, Form4);
  Application.CreateForm(TForm5, Form5);
  Application.CreateForm(TForm6, Form6);
  Application.CreateForm(TAboutBox, AboutBox);
  Application.CreateForm(TForm7, Form7);
  Application.CreateForm(TForm8, Form8);
  Application.Run;
end.
